# TRTC Web SDK

## 简介

[TRTC Web SDK](https://trtc-1252463788.file.myqcloud.com/web/docs/index.html) 是腾讯云实时音视频通讯解决方案的 Web 端 SDK，它是通过 HTML 网页加载的 JavaScript 库。开发者可以使用 TRTC Web SDK 提供的 API 建立连接，控制实时音视频通话或者直播服务。

目前 TRTC Web SDK 主要支持 Chrome 和 Safari 浏览器。

## API 概要

- TRTC 是整个 SDK 的主入口，提供创建客户端对象 Client 和创建本地流对象 LocalStream 的方法，以及浏览器兼容性检测，日志等级及日志上传控制。
- Client 客户端对象，提供实时音视频通话的核心能力，包括进房 join() 及退房 leave()，发布本地流 publish() 及停止发布本地流 unpublish()，订阅远端流 subscribe() 及取消订阅远端流 unsubscribe()。
- Stream 音视频流对象，包括本地流 LocalStream 和远端流 RemoteStream 对象。Stream 对象中的方法为本地流及远端流通用方法。
  - 本地流 LocalStream 通过 TRTC.createStream 创建，
  - 远端流 RemoteStream 通过监听 Client.on(‘stream-added’) 事件获得。

## Tutotials

- [快速跑通 Demo](https://trtc-1252463788.file.myqcloud.com/web/docs/tutorial-00-get-started-with-demo.html)
- [基础音视频通话](https://trtc-1252463788.file.myqcloud.com/web/docs/tutorial-01-basic-video-call.html)
- [互动直播](https://trtc-1252463788.file.myqcloud.com/web/docs/tutorial-02-live-video.html)
- [详细 API 文档](https://trtc-1252463788.file.myqcloud.com/web/docs/TRTC.html)

## ChangeLog

- [变更日志](https://cloud.tencent.com/document/product/647/38958)
